org.apache.ignite.spi

## Annotation Type IgniteSpiMultipleInstancesSupport

    @Documented
    @Inherited
    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface IgniteSpiMultipleInstancesSupport

Annotates whether or not multiple instances of this SPI can be started in the same VM. This annotation should be attached to SPI implementation class.

Note: if this annotations is omitted on SPI it will be assumed that SPI doesn't support multiple grid instances on the same VM.

### Required Element Summary

Required Elements
`boolean` `value` Whether or not target SPI supports multiple grid instances started in the same VM.

### Element Detail

#### value

    public abstract boolean value

Whether or not target SPI supports multiple grid instances started in the same VM.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017